;; -*-emacs-lisp-*-
;;
;; Emacs startup file for the Debian GNU/Linux xslide package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Dirk Eddelbuettel <edd@debian.org>
;; Adapted for dh-make by Jim Van Zandt <jrv@vanzandt.mv.com>

;; The xslide package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.
;; We have to add this to the load-path:
(add-to-list 'load-path (concat "/usr/share/"
				(symbol-name flavor)
				"/site-lisp/xslide"))
(autoload 'xsl-mode "xslide" "Major mode for XSL stylesheets." t)

(setq auto-mode-alist
      (append
       (list
	'("\\.fo\\'" . xsl-mode)
	'("\\.xsl\\'" . xsl-mode))
       auto-mode-alist))
